SessionService
The SessionService methods and their request and response messages.
Generated from session.proto. Every method is
POST /rpc/engram.app.v1.SessionService/<Method> with a JSON or protobuf body and an
x-api-key header.
Methods
Section titled “Methods”Messages
Section titled “Messages”AppEndpoint
Section titled “AppEndpoint”| Field | Type |
|---|---|
hostname |
string |
port |
uint32 |
ArtifactMetadata
Section titled “ArtifactMetadata”| Field | Type |
|---|---|
media_type |
string |
size_bytes |
uint64 |
file_name |
string |
CancelExecRequest
Section titled “CancelExecRequest”| Field | Type |
|---|---|
session_id |
string |
exec_id |
string |
CancelExecResponse
Section titled “CancelExecResponse”No fields.
CheckpointSummary
Section titled “CheckpointSummary”| Field | Type |
|---|---|
snapshot_id |
string |
created_at |
string |
size_bytes |
uint64 |
events_cursor |
int64 (optional) |
recoverable |
bool |
is_latest |
bool |
CompleteToolCallRequest
Section titled “CompleteToolCallRequest”| Field | Type |
|---|---|
session_id |
string |
tool_call_id |
string |
result_json |
string |
CompleteToolCallResponse
Section titled “CompleteToolCallResponse”| Field | Type |
|---|---|
session_id |
string |
note |
string |
ConversationEntry
Section titled “ConversationEntry”| Field | Type |
|---|---|
idx |
int64 |
kind |
string |
at |
string |
payload_json |
string |
CopyFileResult
Section titled “CopyFileResult”| Field | Type |
|---|---|
path |
string |
size_bytes |
uint64 |
sha256 |
string |
CopyFilesRequest
Section titled “CopyFilesRequest”| Field | Type |
|---|---|
source_session_id |
string |
target_session_id |
string |
paths |
repeated string |
CopyFilesResponse
Section titled “CopyFilesResponse”| Field | Type |
|---|---|
files |
repeated CopyFileResult |
CowStateView
Section titled “CowStateView”| Field | Type |
|---|---|
sandbox_id |
string |
session_id |
string (optional) |
disk_manifest_id |
string |
disk_manifest_version |
uint64 |
dirty_chunks |
uint32 |
dirty_bytes |
uint64 |
last_flush_at |
string (optional) |
base_chunks |
uint32 |
base_chunks_local |
uint32 |
memory_manifest_id |
string (optional) |
memory_manifest_version |
uint64 (optional) |
last_snapshot_at |
string (optional) |
CreateArtifactFromPathRequest
Section titled “CreateArtifactFromPathRequest”| Field | Type |
|---|---|
session_id |
string |
path |
string |
caption |
string (optional) |
suppress_event |
bool |
CreateArtifactFromPathResponse
Section titled “CreateArtifactFromPathResponse”| Field | Type |
|---|---|
artifact_id |
string |
media_type |
string |
size_bytes |
uint64 |
CreateSessionRequest
Section titled “CreateSessionRequest”| Field | Type |
|---|---|
image_uri |
string |
mode |
string |
prompt |
string (optional) |
prompt_id |
string (optional) |
secrets |
map<string, string> |
harness_env |
map<string, string> |
selected_skills |
repeated string |
capabilities |
repeated string |
integration_policy_json |
string |
harness |
string (optional) |
oauth_credential |
OAuthCredentialBinding |
harness_mode |
string (optional) |
requested_session_id |
string (optional) |
apps |
repeated AppEndpoint |
CreateSessionResponse
Section titled “CreateSessionResponse”| Field | Type |
|---|---|
session_id |
string |
status |
string |
image_version |
string |
kind |
string |
DeleteSessionRequest
Section titled “DeleteSessionRequest”| Field | Type |
|---|---|
session_id |
string |
DeleteSessionResponse
Section titled “DeleteSessionResponse”No fields.
DequeueQueuedPromptRequest
Section titled “DequeueQueuedPromptRequest”| Field | Type |
|---|---|
session_id |
string |
prompt_id |
string |
DequeueQueuedPromptResponse
Section titled “DequeueQueuedPromptResponse”| Field | Type |
|---|---|
session_id |
string |
note |
string |
EditQueuedPromptRequest
Section titled “EditQueuedPromptRequest”| Field | Type |
|---|---|
session_id |
string |
prompt_id |
string |
text |
string |
EditQueuedPromptResponse
Section titled “EditQueuedPromptResponse”| Field | Type |
|---|---|
session_id |
string |
note |
string |
EnsureBrowserRequest
Section titled “EnsureBrowserRequest”| Field | Type |
|---|---|
session_id |
string |
EnsureBrowserResponse
Section titled “EnsureBrowserResponse”| Field | Type |
|---|---|
port |
uint32 |
EnsureIdeRequest
Section titled “EnsureIdeRequest”| Field | Type |
|---|---|
session_id |
string |
EnsureIdeResponse
Section titled “EnsureIdeResponse”| Field | Type |
|---|---|
port |
uint32 |
EvictIdleRequest
Section titled “EvictIdleRequest”| Field | Type |
|---|---|
session_id |
string |
EvictIdleResponse
Section titled “EvictIdleResponse”| Field | Type |
|---|---|
session_id |
string |
status |
string |
EvictLocalRequest
Section titled “EvictLocalRequest”| Field | Type |
|---|---|
session_id |
string |
EvictLocalResponse
Section titled “EvictLocalResponse”No fields.
ExecExit
Section titled “ExecExit”| Field | Type |
|---|---|
exit_status |
int32 (optional) |
rusage |
ExecRusage |
ExecOutput
Section titled “ExecOutput”| Field | Type |
|---|---|
started |
ExecStarted (one of event) |
stdout |
bytes (one of event) |
stderr |
bytes (one of event) |
exit |
ExecExit (one of event) |
ExecRequest
Section titled “ExecRequest”| Field | Type |
|---|---|
session_id |
string |
command |
string (optional) |
argv |
repeated string |
env |
map<string, string> |
workdir |
string (optional) |
timeout_secs |
uint64 (optional) |
exec_id |
string (optional) |
stdout_offset |
uint64 (optional) |
stderr_offset |
uint64 (optional) |
wake |
bool (optional) |
ExecRusage
Section titled “ExecRusage”| Field | Type |
|---|---|
wall_ms |
uint64 |
peak_rss_kb |
uint64 (optional) |
user_cpu_ms |
uint64 (optional) |
sys_cpu_ms |
uint64 (optional) |
ExecStarted
Section titled “ExecStarted”| Field | Type |
|---|---|
exec_id |
string |
GetArtifactRequest
Section titled “GetArtifactRequest”| Field | Type |
|---|---|
session_id |
string |
artifact_id |
string |
GetArtifactResponse
Section titled “GetArtifactResponse”| Field | Type |
|---|---|
metadata |
ArtifactMetadata (one of msg) |
chunk |
bytes (one of msg) |
GetCowStateRequest
Section titled “GetCowStateRequest”| Field | Type |
|---|---|
session_id |
string |
GetCowStateResponse
Section titled “GetCowStateResponse”| Field | Type |
|---|---|
session_id |
string |
state |
CowStateView (optional) |
GetLogRequest
Section titled “GetLogRequest”| Field | Type |
|---|---|
session_id |
string |
kind |
string (optional) |
limit |
int64 (optional) |
tail |
bool (optional) |
GetLogResponse
Section titled “GetLogResponse”| Field | Type |
|---|---|
session_id |
string |
kind |
string |
events |
repeated ConversationEntry |
GetSessionRequest
Section titled “GetSessionRequest”| Field | Type |
|---|---|
session_id |
string |
GetSessionResponse
Section titled “GetSessionResponse”| Field | Type |
|---|---|
session |
Session |
InterruptRequest
Section titled “InterruptRequest”| Field | Type |
|---|---|
session_id |
string |
source |
string |
InterruptResponse
Section titled “InterruptResponse”| Field | Type |
|---|---|
session_id |
string |
note |
string |
ListCheckpointsRequest
Section titled “ListCheckpointsRequest”| Field | Type |
|---|---|
session_id |
string |
ListCheckpointsResponse
Section titled “ListCheckpointsResponse”| Field | Type |
|---|---|
session_id |
string |
checkpoints |
repeated CheckpointSummary |
ListSessionEventsRequest
Section titled “ListSessionEventsRequest”| Field | Type |
|---|---|
session_id |
string |
after_idx |
int64 (optional) |
limit |
int64 (optional) |
before_idx |
int64 (optional) |
kinds |
repeated string |
tool_names |
repeated string |
ListSessionEventsResponse
Section titled “ListSessionEventsResponse”| Field | Type |
|---|---|
events |
repeated SessionEvent |
next_after_idx |
int64 |
ListSessionsRequest
Section titled “ListSessionsRequest”No fields.
ListSessionsResponse
Section titled “ListSessionsResponse”| Field | Type |
|---|---|
sessions |
repeated SessionListItem |
OAuthCredentialBinding
Section titled “OAuthCredentialBinding”| Field | Type |
|---|---|
subject |
OAuthSubject |
provider |
string |
ReadFileMetadata
Section titled “ReadFileMetadata”| Field | Type |
|---|---|
path |
string |
size_bytes |
uint64 |
sha256 |
string |
file_name |
string |
ReadFileRequest
Section titled “ReadFileRequest”| Field | Type |
|---|---|
session_id |
string |
path |
string |
ReadFileResponse
Section titled “ReadFileResponse”| Field | Type |
|---|---|
metadata |
ReadFileMetadata (one of frame) |
chunk |
bytes (one of frame) |
ResumeRequest
Section titled “ResumeRequest”| Field | Type |
|---|---|
session_id |
string |
ResumeResponse
Section titled “ResumeResponse”| Field | Type |
|---|---|
session_id |
string |
snapshot_id |
string (optional) |
size_bytes |
uint64 (optional) |
note |
string |
SendPromptRequest
Section titled “SendPromptRequest”| Field | Type |
|---|---|
session_id |
string |
text |
string |
prompt_id |
string |
harness_mode |
string (optional) |
SendPromptResponse
Section titled “SendPromptResponse”| Field | Type |
|---|---|
session_id |
string |
note |
string |
Session
Section titled “Session”| Field | Type |
|---|---|
id |
string |
status |
string |
host_id |
string (optional) |
sandbox_id |
string (optional) |
image |
string |
mode |
string |
created_at |
string |
last_active_at |
string |
suggested_title |
string (optional) |
last_event_at |
string (optional) |
SessionEvent
Section titled “SessionEvent”| Field | Type |
|---|---|
idx |
int64 (optional) |
kind |
string |
payload_json |
string |
SessionListItem
Section titled “SessionListItem”| Field | Type |
|---|---|
session |
Session |
owner_email |
string (optional) |
owner_name |
string (optional) |
owner_kind |
string (optional) |
SnapshotRequest
Section titled “SnapshotRequest”| Field | Type |
|---|---|
session_id |
string |
SnapshotResponse
Section titled “SnapshotResponse”| Field | Type |
|---|---|
session_id |
string |
snapshot_id |
string (optional) |
size_bytes |
uint64 (optional) |
note |
string |
StreamEventsRequest
Section titled “StreamEventsRequest”| Field | Type |
|---|---|
session_id |
string |
since |
int64 (optional) |
durable_only |
bool |
WriteFileMetadata
Section titled “WriteFileMetadata”| Field | Type |
|---|---|
session_id |
string |
path |
string |
size_bytes |
uint64 |
sha256 |
string |
mode |
uint32 (optional) |
WriteFileRequest
Section titled “WriteFileRequest”| Field | Type |
|---|---|
metadata |
WriteFileMetadata (one of frame) |
chunk |
bytes (one of frame) |
WriteFileResponse
Section titled “WriteFileResponse”| Field | Type |
|---|---|
path |
string |
size_bytes |
uint64 |
sha256 |
string |